/* === This file is part of Calamares - <https://calamares.io> ===
 *
 *   SPDX-FileCopyrightText: 2014 Teo Mrnjavac <teo@kde.org>
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 *   Calamares is Free Software: see the License-Identifier above.
 *
 */

#ifndef LIBCALAMARESUI_TMAXOSCOMBOBOX_H
#define LIBCALAMARESUI_TMAXOSCOMBOBOX_H

#include "DllMacro.h"

#include <QComboBox>

namespace Calamares
{
class UIDLLEXPORT TmaxOsComboBox : public QComboBox
{
    Q_OBJECT
public:
    explicit TmaxOsComboBox( QWidget* parent = nullptr );
    ~TmaxOsComboBox() override {}

    void setSpacing( int spacing )
    {
        m_spacing = spacing;
    }

    void setListPaddingTop( int listPaddingTop )
    {
        m_listPaddingTop = listPaddingTop;
    }

    void setListItemHeight( int listItemHeight )
    {
        m_listItemHeight = listItemHeight;
    }

    void setListPaddingBottom( int listPaddingBottom )
    {
        m_listPaddingBottom = listPaddingBottom;
    }

    void showPopup() override;

private:
    int m_spacing;
    int m_listPaddingTop;
    int m_listItemHeight;
    int m_listPaddingBottom;
};

}  // namespace Calamares
#endif  // LIBCALAMARESUI_TMAXOSCOMBOBOX_H
