/* === This file is part of Calamares - <https://calamares.io> ===
 *
 *   SPDX-FileCopyrightText: 2014 Teo Mrnjavac <teo@kde.org>
 *   SPDX-License-Identifier: GPL-3.0-or-later
 *
 *   Calamares is Free Software: see the License-Identifier above.
 *
 */

#ifndef TMAXOSWAITINGWIDGET_H
#define TMAXOSWAITINGWIDGET_H

#include <QWidget>

class QLabel;
class QTimer;

namespace Calamares
{
class TmaxOsLabel;
}

class TmaxOsWaitingWidget : public QWidget
{
    Q_OBJECT
public:
    explicit TmaxOsWaitingWidget( QWidget* parent = nullptr );
    void initialize();
    bool isSpinning() const;
    void updateTimer();

    void setText( const QString& text );

public Q_SLOTS:
    void start();
    void stop();

private Q_SLOTS:
    void rotate();

private:
    QList< QLabel* > m_waitingLabels;
    QTimer* m_timer;
    Calamares::TmaxOsLabel* m_text;

    int m_currentCounter;
    int m_numberOfStates;
    int m_stateTransitionTimeMs;

    bool m_isSpinning;
    bool m_disableParentWhenSpinning;
};

#endif  // TMAXOSWAITINGWIDGET_H
