#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# === This file is part of Calamares - <https://calamares.io> ===
#
#   SPDX-FileCopyrightText: 2014-2015 Philip Müller <philm@manjaro.org>
#   SPDX-FileCopyrightText: 2015-2017 Teo Mrnjavac <teo@kde.org>
#   SPDX-FileCopyrightText: 2017 Alf Gaida <agaida@siduction.org>
#   SPDX-FileCopyrightText: 2017 2019, Adriaan de Groot <groot@kde.org>
#   SPDX-FileCopyrightText: 2017-2018 Gabriel Craciunescu <crazy@frugalware.org>
#   SPDX-License-Identifier: GPL-3.0-or-later
#
#   Calamares is Free Software: see the License-Identifier above.
#

import libcalamares
import os
import re

import gettext
_ = gettext.translation("calamares-python",
                        localedir=libcalamares.utils.gettext_path(),
                        languages=libcalamares.utils.gettext_languages(),
                        fallback=True).gettext


def pretty_name():
    return _("Append /etc/hosts.")


def append_etchosts():
    """
    Append /etc/hosts.
    """

    etchosts = []
    if "etc-hosts" in libcalamares.job.configuration:
        etchosts = libcalamares.job.configuration["etc-hosts"]

    for host in etchosts:
        libcalamares.utils.debug("append '{0}' to /etc/hosts".format(host))
        libcalamares.utils.target_env_call(["sh", "-c", "echo '{0}' >> /etc/hosts".format(host)])

    return None


def run():
    return append_etchosts()
